/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.service.impl.workflow.constants;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Constants {
    public static final String EpLabel     = "ep:label", EpFrom = "ep:from",
            EpTo = "ep:to", Name = "name", Type = "type", Href = "href",
            Title = "title", StartNode = "START", EndNode = "END",
            Usage = "Usage", Args = "Args", Arg = "Arg",
            DataMiningSoftware = "DataMiningSoftware",
            ExecutionPlan = "ExecutionPlan", Dataset = "Dataset",
            Access = "Access", Structure = "Structure", Format = "Format",
            Attribute = "Attribute", Description = "Description", Id = "id",
            IdRef = "idref", Default = "default", LOCATION = "Location",
            HOSTNAME = "HostName", OUTPUTFOLDER = "OutputFolder",
            Attributes = "Attributes", MANDATORY = "mandatory",
            INVOCATION = "Invocation";
    public static final String Source      = "src";
    public static final String Destination = "dest";
    public static final String Multivalue  = "multivalue";

}
